// ---------- Hamburger menu ----------
.menu-icon {
  position: relative;
  width: 54px;
  height: 54px;

  border-radius: 50%;

  background-color: transparent;

  transition: all .5s cubic-bezier(0.19, 1, 0.22, 1);


  span {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);

    display: block;
    width: 22px;
    height: 2px;

    background-color: #000;

    transition: background 0.5s, transform 0.5s;
    transition: background 0.5s steps(1, end);

    &::before,
    &::after {
      content: "";

      position: absolute;
      top: 0;
      left: 0;

      display: block;
      width: 22px;
      height: 2px;

      background-color: #000;

      transform: translateY(-8px);
      transform-origin: 100% 50%;
      transition: transform 0.5s;
    }

    &::after {
      transform: translateY(8px);
    }
  }

  &:hover {
    span::before {
      transform: translateY(-10px);
    }

    span::after {
      transform: translateY(10px);
    }
    
  }

  &.is-opened {
    z-index: 100;
    color: #fff;

    span {
      transition: background 0.5s steps(1, start);
      background-color: transparent;

      &::before {
        transform: translateX(-3px) translateY(-8px) rotate(-45deg);
        background-color: #fff;
      }

      &::after {
        transform: translateX(-3px) translateY(8px) rotate(45deg);
        background-color: #fff;
      }
    }

    svg {
      stroke: #fff;
      opacity: 1;
      stroke-dasharray: 160;
      stroke-dashoffset: -65;
      transition: stroke-dasharray 0.5s, stroke-dashoffset 0.5s,
        opacity 0.5s steps(1, start);
    }
  }

  svg {
    opacity: 0;
    fill: transparent;
    stroke: #000;
    stroke-width: 2px;
    stroke-dasharray: 22 230;
    transition: stroke-dasharray 0.5s, stroke-dashoffset 0.5s,
      opacity 0.5s steps(1, end);
  }
}

.menu-overlay {
  background-color: $principal-color;
  color: #fff;
  height: 100%;
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  opacity: 0;
  visibility: hidden;
  text-align: center;
  transition: all 0.2s ease-in-out;
  z-index: -1;

  &.is-opened {
    opacity: 1;
    visibility: visible;
    z-index: 99;
  }

  a {
    color: #fff;
    font-weight: 600;
    font-size: 32px;
    padding: 2%;
    margin-left: 0 !important;
    display: inline-block;
  }
}
// ---------- Hamburger menu ----------